Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Specifies flags that describe the attributes of a field.

This enumeration is used by the property.

- Field
  System.Reflection.FieldAttributes Assembly

  Specifies that the field is accessible throughout the assembly.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes FamANDAssem Specifies that the field is accessible only to the members of the type that defines the field and its subclasses in the assembly. To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes Family

  Specifies that the field is accessible only to the type that defines the field and its subclasses.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes FamORAssem

  Specifies that the field is accessible only to the members of the type that defines the field and its subclasses as well as throughout the assembly.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes FieldAccessMask

  Specifies a bit-mask that, when combined with the of a field using the logical AND operator, yields the bits that specify the accessibility of a field.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes HasDefault To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes HasFieldMarshal To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes HasFieldRVA To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes InitOnly

  Specifies that the field is initialized only, and cannot be written after initialization.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes Literal Specifies that the field's value is a compile-time (static or early bound) constant. To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes NotSerialized To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes PinvokeImpl

  Specifies that the implementation of a field is forwarded through Platform Invocation Services (PInvoke).

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes Private

  Specifies that the field is accessible only to members in the type in which it is defined.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes PrivateScope

  Specifies that the field cannot be referenced.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes Public

  Specifies that the field is accessible to any member.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes ReservedMask To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes RTSpecialName To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes SpecialName

  Specifies that the field is treated in a special way by some tools.

  For more information on special names, see Partition I of the CLI Specification.

  For more information on in metadata, see Partition II of the CLI Specification.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Reflection.FieldAttributes Static

  Specifies that the field associated with the defining type and is shared by all instances of the type in which it is defined.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Flags System.Runtime.InteropServices.ComVisible(true)